HierarchyEntityControllerConfigureAttributeHierarchies Method

POST /HierarchyEntity/ConfigureAttributes/{id} Configures the attribute hierarchies associated with the specified hierarchy.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("ConfigureAttributes")]
public IActionResult ConfigureAttributeHierarchies(
	Guid id,
	[FromBodyAttribute] ConfigureAttributeHierarchiesOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The entity ID to configure.
options
Type: Dundas.BI.WebApi.ModelsConfigureAttributeHierarchiesOptions
The list of ConfigureAttributeHierarchiesOptions.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A list of HierarchyEntityData or a HierarchyData object containing the updated hierarchy, or a status code indicating the problem.
See Also